DocValuesStats.SortedDocValuesStats (Lucene 10.5.1 misc API)
Description: declaration: package: org.apache.lucene.misc.search, class: DocValuesStats, class: SortedDocValuesStats

Package org.apache.lucene.misc.search

# Class DocValuesStats.SortedDocValuesStats

java.lang.Object
org.apache.lucene.misc.search.DocValuesStats<BytesRef>
org.apache.lucene.misc.search.DocValuesStats.SortedDocValuesStats

Enclosing class:
  `DocValuesStats<T>`

public static class DocValuesStats.SortedDocValuesStats extends DocValuesStats<BytesRef>
Holds statistics for a sorted DocValues field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.misc.search.DocValuesStats

  `DocValuesStats.DoubleDocValuesStats, DocValuesStats.LongDocValuesStats, DocValuesStats.NumericDocValuesStats<T extends Number>, DocValuesStats.SortedDocValuesStats, DocValuesStats.SortedDoubleDocValuesStats, DocValuesStats.SortedLongDocValuesStats, DocValuesStats.SortedNumericDocValuesStats<T extends Number>, DocValuesStats.SortedSetDocValuesStats`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SortedDocValues`
  `sdv`

  ### Fields inherited from class org.apache.lucene.misc.search.DocValuesStats

  `count, field, max, min, missing`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SortedDocValuesStats(String field)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doAccumulate(int count)`
  Called after `DocValuesStats.accumulate(int)` was processed and verified that the document has a value for the field.
  `protected final boolean`
  `hasValue(int doc)`
  Returns whether the given document has a value for the requested DocValues field.
  `protected final boolean`
  `init(LeafReaderContext context)`
  Initializes this object with the given reader context.

  ### Methods inherited from class org.apache.lucene.misc.search.DocValuesStats

  `count, field, max, merge, min, missing`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sdv

    protected SortedDocValues sdv

- ## Constructor Details

  - ### SortedDocValuesStats

    protected SortedDocValuesStats(String field)

- ## Method Details

  - ### init

    protected final boolean init(LeafReaderContext context) throws IOException
    Description copied from class: `DocValuesStats`
    Initializes this object with the given reader context. Returns whether stats can be computed for this segment (i.e. it does have the requested DocValues field).
    Specified by:
      `init` in class `DocValuesStats<BytesRef>`
    Throws:
      `IOException`

  - ### hasValue

    protected final boolean hasValue(int doc) throws IOException
    Description copied from class: `DocValuesStats`
    Returns whether the given document has a value for the requested DocValues field.
    Specified by:
      `hasValue` in class `DocValuesStats<BytesRef>`
    Throws:
      `IOException`

  - ### doAccumulate

    protected void doAccumulate(int count) throws IOException
    Description copied from class: `DocValuesStats`
    Called after `DocValuesStats.accumulate(int)` was processed and verified that the document has a value for the field. Implementations should update the statistics based on the value of the current document.
    Specified by:
      `doAccumulate` in class `DocValuesStats<BytesRef>`
    Parameters:
      `count` - the updated number of documents with value for this field.
    Throws:
      `IOException`